package orig.plotter;

import java.awt.Color;

/**
 * Describes the colours of the pens available for the plotter.
 * 
 * @author evensen
 * 
 */
public enum PenColor {
	BLACK(0, 0, 0), RED(200, 0, 0), BLUE(0, 0, 200), GREEN(0, 200, 0), PURPLE(
			100, 0, 100), ORANGE(200, 0, 200);

	private final Color c;

	private PenColor(final int r, final int g, final int b) {
		this.c = new Color(r, g, b);
	}

	/**
	 * Gives the pen's colour as a <code>java.awt.Color</code>-object.
	 * 
	 * @return This pen's colour.
	 */
	public Color getColor() {
		return this.c;
	}
}
