package edu.chl.hajo.monopoly.core;

/**
 A single player of the game
 Handles everything that has to do with a single player!

 @author hajo

 */
public class Player {

    private final String name;  // Unique name for player
    //private final Piece piece;
    private int balance;
    private Space position;    // The actual position

    public Player(String name, Piece piece, int balance) {
        this.name = name;
        //this.piece = piece;
        this.balance = balance;
    }

    public Space getPosition() {
        return position;
    }

    public void setPosition(Space position) {
        this.position = position;
    }

    public String getName() {
        return name;
    }

    public void income(int amont) {
        balance += amont;
    }

    public int getBalance() {
        return balance;
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object other) {
        if (this == other) {
            return true;
        }
        if (other == null) {
            return false;
        }
        if (getClass() != other.getClass()) {
            return false;
        }
        Player o = (Player) other;
        return name.equals(o.name);
    }
}
