package edu.chl.hajo.monopoly.core;

import java.util.Objects;




/**
 *
 * This is where the player piece is located (streets, railroads, corners, jail,
 * etc..) Base class for spaces
 * @author hajo
 *
 */
public class Space {

    private final String name;

    public Space(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }
    
    @Override
    public final int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((name == null) ? 0 : name.hashCode());
        return result;
    }

    @Override
    public final boolean equals(Object other) {
        if (this == other) {
            return true;
        }
        if (other == null) {
            return false;
        }
        if (getClass() != other.getClass()) {
            return false;
        }
        Space o = (Space) other;
        return Objects.equals(this.name, o.name); 
    }

    @Override
    public String toString() {
        return "Space{" + "name=" + name + '}';
    }
    
    

}
