package edu.chl.hajo.td.core;

import java.util.Iterator;
import java.util.List;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.ToString;

/**
 *
 * @author hajo
 */
public class Path {

    @EqualsAndHashCode
    @ToString
    public static class Position {

        @Getter
        private final int x;
        @Getter
        private final int y;

        public Position(int x, int y) {
            this.x = x;
            this.y = y;
        }

    };

    public static final Position NO_POSITION = new Position(-1, -1);
    private final List<Position> pos;
    @Getter
    private Position actual;

    public Path(List<Position> pos) {
        this.pos = pos;
        actual = pos.get(0);
    }

    public Position next() {
        if (pos.indexOf(actual) < pos.size() - 1) {
            actual = pos.get(pos.indexOf(actual) + 1);
        } else {
            actual = NO_POSITION;
            //System.out.println(actual);
        }
        return actual;
    }

}
