package chl.hajo.gdxdemo.core;

/**
 A Bucket

 @author hajo
 */
public class Bucket {

    private float x;
    private final float y = 20; // Bottom left corner of the bucket is 20 pixels above the bottom screen edge
    private final float width = 64;
    private final float height = 64;
    private final float maxWidth;

    public Bucket(int maxWidth) {
        this.maxWidth = maxWidth;
        this.x = maxWidth / 2 - width / 2; // Center the bucket horizontally
    }

    public float getX() {
        return x;
    }

    public float getY() {
        return y;
    }

    public float getWidth() {
        return width;
    }

    public float getHeight() {
        return height;
    }

    public void moveTo(float position) {
        if (position <= 0) {
            x = 0;
        } else if (position >= maxWidth) {
            x = maxWidth - width;
        } else {
            x = position;
        }
    }

    public void moveRight(float dist) {
        if (x + dist + width < maxWidth) {
            x += dist;
        }
    }

    public void moveLeft(float dist) {
        if (x - dist > 0) {
            x -= dist;
        }
    }

}
